## atitvout 0.4

=== Makefile ===
VERSION=0.4
CFLAGS=-Wall -O2 -g -DVERSION=\"$(VERSION)\" -I./lrmi-0.6
OBJS=atitvout.o ati.o vbeinfo.o vbecall.o mach64.o radeon.o
TAR=atitvout-$(VERSION).tar.gz
BINARY=atitvout
PACKAGE=atitvout

all: $(BINARY)

$(BINARY): $(OBJS)
	make -C lrmi-0.6
	$(CC) $(OBJS) lrmi-0.6/liblrmi.a -o $(BINARY)

strip: $(BINARY)
	@du -h $(BINARY)
	strip -s $(BINARY)
	@du -h $(BINARY)

clean:
	rm -f *.o $(BINARY) *~ README index.html *.tar.gz test.out
	make -C lrmi-0.6 clean

install: strip
	install -g root -o root -m 555 $(BINARY) /usr/local/sbin

deinstall:
	rm -f /usr/local/sbin/$(BINARY)

README: README.in
	sed s/VERSION/$(VERSION)/ < README.in > README

index.html: README
	txt2html -t "$(PACKAGE) $(VERSION)" < README > index.html

html: index.html

$(TAR): clean README
	tar -C.. --exclude=$(PACKAGE)/$(TAR) -czvf $(TAR) $(PACKAGE)

tar: $(TAR)

web: $(TAR) README
	cp README $(TAR) ../../homepage/lennart/projects/$(PACKAGE)/ && $(MAKE) -C ../../homepage/lennart/projects/$(PACKAGE)

upload: web
	$(MAKE) -C ../../homepage/lennart upload

emacs:
	emacs Makefile README.in *.h *.c &

test: $(BINARY)
	./test.sh

.PHONY: test emacs upload web tar html deinstall install clean strip all

=== lrmi-0.6/Makefile ===
CFLAGS = -g -Wall

sources = lrmi.c
objects = lrmi.o
pic_objects = pic/lrmi.o
all = liblrmi.a liblrmi.so vbetest

%.o: %.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) -o $@ $<

pic/%.o: %.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) -fPIC -o $@ $<

all: $(all)

liblrmi.a: $(objects)
	$(AR) -rs $@ $^

liblrmi.so: $(pic_objects)
	$(CC) $(CPPFLAGS) $(CFLAGS) -fPIC -shared -o $@ $^

vbetest: vbetest.c liblrmi.a
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $^

.PHONY: clean
clean:
	rm -f $(objects) $(pic_objects) $(all) core

.PHONY: distclean
distclean: clean
	rm -f .depend

.PHONY: depend
depend: $(sources)
	-$(CC) -M $(CPPFLAGS) $^ >.depend

=== debian/changelog ===
atitvout (0.4-13.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 source format. (Closes: #1007322)
  * Drop non-existing Vcs fields.
  * Update debhelper compat level to 7. (Closes: #1011494)

 -- Bastian Germann <bage@debian.org>  Sat, 10 Dec 2022 00:12:44 +0100

atitvout (0.4-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Re-upload to Debian wrongful removal. (Closes: #981993)

 -- Adrian Bunk <bunk@debian.org>  Fri, 05 Feb 2021 17:38:11 +0200

atitvout (0.4-13) unstable; urgency=low

  * Merged atitvout_0.4-12ubuntu1.patch (Closes: #518725 #490746)
  * Added builddep: quilt, libx86-dev
  * Updated maintainer email
  * Bump Standards-Version up to 3.8.1	

 -- Philippe Coval <rzr@gna.org>  Sun, 24 May 2009 22:15:54 +0200

atitvout (0.4-12ubuntu1) intrepid; urgency=low

  * lrmi-0.6/lrmi.c:
    - Adjust some constants to match 2.6.26 and newer kernels.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 18 Oct 2008 13:11:28 +0200

atitvout (0.4-12) unstable; urgency=low

  * Adopted the package (Closes: #469080)
  * Updated description
  * Bump Standards-Version up to 3.8.0

 -- Philippe Coval <rzr@users.sf.net>  Sat, 28 Jun 2008 11:05:08 +0200

atitvout (0.4-11) unstable; urgency=low

  * Bump debhelper compatibility to 6
  * Remove /usr/bin from debian/dirs
  * Bump Standards-Version up to 3.7.3 (no other changes)

 -- Francois Marier <francois@debian.org>  Mon, 04 Feb 2008 16:12:06 +1300

atitvout (0.4-10) unstable; urgency=low

  * Add the homepage field in debian/control
  * Rename the XS-Vcs-* fields to Vcs-*

 -- Francois Marier <francois@debian.org>  Tue, 20 Nov 2007 15:15:31 +1300

atitvout (0.4-9) unstable; urgency=low

  * Refer specifically to GPL-2 in debian/copyright
  * debian/control: list svn repo (collab-maint)

 -- Francois Marier <francois@debian.org>  Mon, 20 Aug 2007 14:33:31 +1200

atitvout (0.4-8) unstable; urgency=low

  * Remove the strip call from the main Makefile (closes: #436486)
  * Move the debhelper compat setting to debian/compat
  * Remove unnecessary commented-out lines in debian/rules
  * Fix "make clean" lintian warning

 -- Francois Marier <francois@debian.org>  Wed, 08 Aug 2007 06:06:35 +0000

atitvout (0.4-7) unstable; urgency=low

  * Actually add the watch file...

 -- Francois Marier <francois@debian.org>  Tue, 11 Jul 2006 12:05:09 -0400

atitvout (0.4-6) unstable; urgency=low

  * Bump Standards-Version up to 3.7.2 (no changes)
  * Add watch file

 -- Francois Marier <francois@debian.org>  Mon, 10 Jul 2006 23:28:20 -0400

atitvout (0.4-5) unstable; urgency=low

  * Adopting this package (closes: #364342)
  * Update FSF address
  * Update upstream website

 -- Francois Marier <francois@debian.org>  Tue, 25 Apr 2006 17:27:09 -0400

atitvout (0.4-4) unstable; urgency=low

  * Orphaning this package.
  * Updating standards version to 3.6.2.
  * Updating to debhelper 4 compatibility.

 -- Ola Lundqvist <opal@debian.org>  Sat, 22 Apr 2006 23:05:26 +0200

atitvout (0.4-3) unstable; urgency=low

  * Fixed test.sh so it have correct atitvout location, closes: #189486.
  * Updated standards version to 3.6.1.

 -- Ola Lundqvist <opal@debian.org>  Tue, 21 Sep 2004 09:28:00 +0200

atitvout (0.4-2) unstable; urgency=low

  * Added some more documentation to the package, closes: #176440.
  * Changed the standards version from 2.5.2 to 3.5.8 (no other
    changes).

 -- Ola Lundqvist <opal@debian.org>  Mon, 13 Jan 2003 19:36:58 +0100

atitvout (0.4-1) unstable; urgency=low

  * New upstream version.
  * The code is (according to upstream homepage) x86 specific so
    it should only be built on that arch, closes: #162930.

 -- Ola Lundqvist <opal@debian.org>  Tue,  1 Oct 2002 07:49:27 +0200

atitvout (0.2b-1) unstable; urgency=low

  * Initial release, closes: #162764.

 -- Ola Lundqvist <opal@debian.org>  Mon,  9 Sep 2002 19:38:26 +0200

=== debian/control ===
Source: atitvout
Section: misc
Priority: optional
Maintainer: Philippe Coval <rzr@gna.org>
Build-Depends: debhelper (>= 7), libx86-dev
Standards-Version: 3.8.1
Homepage: http://0pointer.de/lennart/projects/atitvout/

Package: atitvout
Architecture: i386 ia64
Depends: ${shlibs:Depends}
Description: ATI TV Out Support Program
 This utility program may be used for executing several configuration
 commands for the TV Out connector of ATI Rage Mobility P/M 
 and some Radeon graphics boards under GNU/Linux on i386.
 Primarily it is intended to enable TV Out support after bootup and 
 for switching the used TV standard from NTSC to PAL. 
 It works either on console or X.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DDATE=`date`


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	$(MAKE) README
	pod2man --section=1 \
		--release="ATITVout " \
		--date="$(DDATE)" \
		debian/atitvout.pod > debian/atitvout.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/atitvout.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/atitvout PREFIX=/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://0pointer.de/lennart/projects/atitvout/ (?:.*/)?atitvout-?_?([\d+\.]+|\d+)\.tar.* debian uupdate
